# Pymox

*Python mocking on steroids*

Release **{sub-ref}`release`**  ([What's new?](https://github.com/ivancrneto/pymox/blob/main/CHANGELOG.md))

---

If you’d like more information on why Pymox, check out our [summary](why.md).

Otherwise, let’s dive right in!


```{include} ../README.md
:start-after: <!-- new-elegant -->
:end-before: <!-- end-new-elegant -->
```

```{include} ../README.md
:start-after: <!-- classics -->
:end-before: <!-- end-classics -->
```

```{toctree}
:hidden: true

why
```


## Basics

The first chapters shows the basics of *Pymox* and the features you'll most likely to use.


```{toctree}
:maxdepth: 2

getting-started
install
```


## Guides

The following chapters give a broad explanation about *Pymox* features and how to use them.

```{toctree}
:maxdepth: 2
tutorial_0
tutorial
```

## *Pymox* in Practice

The following chapters deal with considerations of using *Pymox* in the real world.


```{toctree}
:maxdepth: 2

recipes
```


## API Reference

```{toctree}
:maxdepth: 2

reference
```


## Project Links

```{include} ../README.md
:start-after: "## Project Links"
```


## Indices and tables

- {any}`genindex`
- {any}`modindex`
